from tkinter import N
import pandas as pd
import os

#Lecture du MVS
df=pd.read_csv('MVS.csv') # Remplacer 'MVS.csv' par le 'nomDuCSV.csv' si besoin

#Conversion de la colonne EAN en list
a = list(df['EAN'])

#Tableau des EAN en string
EAN=[str(e) for e in a]

#Supprimer toutes les images qui ne se terminent pas par x1200.jpg
for i in EAN :
    nameFile=i+'.jpg'
    nameFile175=i+'x175.jpg'   
    if ((os.path.exists(nameFile)) and (os.path.exists(nameFile175))) :
        os.remove(nameFile)
        os.remove(nameFile175)
    else : print('Pas d\'image')
 
imagesManquantes=[]

#Rename toutes les images EANx1200.jpg en EAN_1.jpg   
for j in EAN :
    nameFile1200=j+'x1200.jpg'
    nameFileFinal=j+'_1.jpg'
    if (os.path.exists(nameFile1200)) :
        os.rename(nameFile1200,nameFileFinal)
    else : imagesManquantes.append(j)

#Images manquantes

with open('Images manquantes.txt', 'w') as f:
    for line in imagesManquantes:
        f.write(line)
        f.write('\n')

print('Images manquantes : \n')        
for e in imagesManquantes :
    print(e+'\n')
    
print('GG WP!')